# LSTM + MLP
defaults:
  - base_model
  - loss: ic_loss
  - optimizer: adam
  - metric: q4l_default_metric
  - components@components.head: mlp

output_type: signal
model_type: spatial
basic_info:
  output_dim: 1
trainer:
  max_epochs: 100


components:
  temporal:
    name: LSTM
    module_path: q4l.model.zoo.temporal
    kwargs:
      hidden_size: 256
      num_layers: 2
      dropout: 0.0
